# The CI pipeline on salsa.debian.org doesn't appear to export a TERM variable
# to the autopkgtest environment. We thus manually use TERM=xterm-256color for all
# commands. They'd otherwise fail out, or (worse) not actually test anything.

# Connects to and queries the controlling terminal, dumping info
Test-Command: TERM=xterm-256color notcurses-info
Depends: notcurses-bin
Restrictions: allow-stderr
Features: test-name=info

# Basic unit test suite, but run with installed binary
# redirect to /dev/null to not overwhelm builder logging
Test-Command: TERM=xterm-256color notcurses-tester > /dev/null
Depends: notcurses-bin
Restrictions: allow-stderr
Features: test-name=unittests

# Execute notcurses-demo with some margins
Test-Command: TERM=xterm-256color notcurses-demo -d0 -c -m0,2,0,2
Depends: notcurses-bin
Restrictions: allow-stderr
Features: test-name=demo

# Execute notcurses-pydemo
Test-Command: TERM=xterm-256color notcurses-pydemo
Depends: python3-notcurses
Restrictions: allow-stderr
Features: test-name=pydemo
